Uploaded image for project: 'Picard'
  1. Picard
  2. PICARD-1662

Issue saving FLAC with large (~ 16 MiB) embedded images

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: 2.2.2, 2.2.3
    • Fix Version/s: 2.3.0b1
    • Component/s: Lookup & Match
    • Labels:
      None
    • Environment:
      Windows

      Description

      With certain FLAC files, I'm getting errors when loading them into Picard.  This is happening on only a very small subset (approx 20-30 of 10,000).

      I've tried moving them from the SMB share to local storage, but the issue persists.

      Errors on certain files is similar to the following:

      
      E: 18:09:44,715 util.thread.run:56: Traceback (most recent call last):
        File "picard\file.py", line 260, in _save_and_rename
        File "picard\file.py", line 237, in _preserve_times
        File "picard\formats\vorbis.py", line 261, in _save
        File "site-packages\mutagen\_util.py", line 169, in wrapper
        File "site-packages\mutagen\_util.py", line 140, in wrapper
        File "site-packages\mutagen\flac.py", line 857, in save
        File "site-packages\mutagen\flac.py", line 154, in _writeblocks
        File "site-packages\mutagen\flac.py", line 137, in _writeblock
      mutagen.flac.error: block is too long to write
      
      
      During handling of the above exception, another exception occurred:
      
      
      Traceback (most recent call last):
        File "picard\util\thread.py", line 52, in run
        File "picard\file.py", line 265, in _save_and_rename
      AttributeError: 'FLACFile' object has no attribute 'FilePreserveTimesUtimeError'
      
      
      E: 18:09:44,746 util.thread.run:56: Traceback (most recent call last):
        File "picard\file.py", line 260, in _save_and_rename
        File "picard\file.py", line 237, in _preserve_times
        File "picard\formats\vorbis.py", line 261, in _save
        File "site-packages\mutagen\_util.py", line 169, in wrapper
        File "site-packages\mutagen\_util.py", line 140, in wrapper
        File "site-packages\mutagen\flac.py", line 857, in save
        File "site-packages\mutagen\flac.py", line 154, in _writeblocks
        File "site-packages\mutagen\flac.py", line 137, in _writeblock
      mutagen.flac.error: block is too long to write
      
      
      During handling of the above exception, another exception occurred:
      
      
      Traceback (most recent call last):
        File "picard\util\thread.py", line 52, in run
        File "picard\file.py", line 265, in _save_and_rename
      AttributeError: 'FLACFile' object has no attribute 'FilePreserveTimesUtimeError'
      
      
      E: 18:09:44,782 util.thread.run:56: Traceback (most recent call last):
        File "picard\file.py", line 260, in _save_and_rename
        File "picard\file.py", line 237, in _preserve_times
        File "picard\formats\vorbis.py", line 261, in _save
        File "site-packages\mutagen\_util.py", line 169, in wrapper
        File "site-packages\mutagen\_util.py", line 140, in wrapper
        File "site-packages\mutagen\flac.py", line 857, in save
        File "site-packages\mutagen\flac.py", line 154, in _writeblocks
        File "site-packages\mutagen\flac.py", line 137, in _writeblock
      mutagen.flac.error: block is too long to write
      
      
      During handling of the above exception, another exception occurred:
      
      
      Traceback (most recent call last):
        File "picard\util\thread.py", line 52, in run
        File "picard\file.py", line 265, in _save_and_rename
      AttributeError: 'FLACFile' object has no attribute 'FilePreserveTimesUtimeError'
      
      
      E: 18:09:44,821 util.thread.run:56: Traceback (most recent call last):
        File "picard\file.py", line 260, in _save_and_rename
        File "picard\file.py", line 237, in _preserve_times
        File "picard\formats\vorbis.py", line 261, in _save
        File "site-packages\mutagen\_util.py", line 169, in wrapper
        File "site-packages\mutagen\_util.py", line 140, in wrapper
        File "site-packages\mutagen\flac.py", line 857, in save
        File "site-packages\mutagen\flac.py", line 154, in _writeblocks
        File "site-packages\mutagen\flac.py", line 137, in _writeblock
      mutagen.flac.error: block is too long to write
      
      
      During handling of the above exception, another exception occurred:
      
      
      Traceback (most recent call last):
        File "picard\util\thread.py", line 52, in run
        File "picard\file.py", line 265, in _save_and_rename
      AttributeError: 'FLACFile' object has no attribute 'FilePreserveTimesUtimeError'
      
      
      E: 18:09:44,853 util.thread.run:56: Traceback (most recent call last):
        File "picard\file.py", line 260, in _save_and_rename
        File "picard\file.py", line 237, in _preserve_times
        File "picard\formats\vorbis.py", line 261, in _save
        File "site-packages\mutagen\_util.py", line 169, in wrapper
        File "site-packages\mutagen\_util.py", line 140, in wrapper
        File "site-packages\mutagen\flac.py", line 857, in save
        File "site-packages\mutagen\flac.py", line 154, in _writeblocks
        File "site-packages\mutagen\flac.py", line 137, in _writeblock
      mutagen.flac.error: block is too long to write
      
      
      During handling of the above exception, another exception occurred:
      
      
      Traceback (most recent call last):
        File "picard\util\thread.py", line 52, in run
        File "picard\file.py", line 265, in _save_and_rename
      AttributeError: 'FLACFile' object has no attribute 'FilePreserveTimesUtimeError'
      
      
      E: 18:09:44,887 util.thread.run:56: Traceback (most recent call last):
        File "picard\file.py", line 260, in _save_and_rename
        File "picard\file.py", line 237, in _preserve_times
        File "picard\formats\vorbis.py", line 261, in _save
        File "site-packages\mutagen\_util.py", line 169, in wrapper
        File "site-packages\mutagen\_util.py", line 140, in wrapper
        File "site-packages\mutagen\flac.py", line 857, in save
        File "site-packages\mutagen\flac.py", line 154, in _writeblocks
        File "site-packages\mutagen\flac.py", line 137, in _writeblock
      mutagen.flac.error: block is too long to write
      
      
      During handling of the above exception, another exception occurred:
      
      
      Traceback (most recent call last):
        File "picard\util\thread.py", line 52, in run
        File "picard\file.py", line 265, in _save_and_rename
      AttributeError: 'FLACFile' object has no attribute 'FilePreserveTimesUtimeError'
      
      
      E: 18:09:44,927 util.thread.run:56: Traceback (most recent call last):
        File "picard\file.py", line 260, in _save_and_rename
        File "picard\file.py", line 237, in _preserve_times
        File "picard\formats\vorbis.py", line 261, in _save
        File "site-packages\mutagen\_util.py", line 169, in wrapper
        File "site-packages\mutagen\_util.py", line 140, in wrapper
        File "site-packages\mutagen\flac.py", line 857, in save
        File "site-packages\mutagen\flac.py", line 154, in _writeblocks
        File "site-packages\mutagen\flac.py", line 137, in _writeblock
      mutagen.flac.error: block is too long to write
      
      
      During handling of the above exception, another exception occurred:
      
      
      Traceback (most recent call last):
        File "picard\util\thread.py", line 52, in run
        File "picard\file.py", line 265, in _save_and_rename
      AttributeError: 'FLACFile' object has no attribute 'FilePreserveTimesUtimeError'
      
      
      E: 18:09:44,955 util.thread.run:56: Traceback (most recent call last):
        File "picard\file.py", line 260, in _save_and_rename
        File "picard\file.py", line 237, in _preserve_times
        File "picard\formats\vorbis.py", line 261, in _save
        File "site-packages\mutagen\_util.py", line 169, in wrapper
        File "site-packages\mutagen\_util.py", line 140, in wrapper
        File "site-packages\mutagen\flac.py", line 857, in save
        File "site-packages\mutagen\flac.py", line 154, in _writeblocks
        File "site-packages\mutagen\flac.py", line 137, in _writeblock
      mutagen.flac.error: block is too long to write
      
      
      During handling of the above exception, another exception occurred:
      
      
      Traceback (most recent call last):
        File "picard\util\thread.py", line 52, in run
        File "picard\file.py", line 265, in _save_and_rename
      AttributeError: 'FLACFile' object has no attribute 'FilePreserveTimesUtimeError'
      
      
      E: 18:09:44,989 util.thread.run:56: Traceback (most recent call last):
        File "picard\file.py", line 260, in _save_and_rename
        File "picard\file.py", line 237, in _preserve_times
        File "picard\formats\vorbis.py", line 261, in _save
        File "site-packages\mutagen\_util.py", line 169, in wrapper
        File "site-packages\mutagen\_util.py", line 140, in wrapper
        File "site-packages\mutagen\flac.py", line 857, in save
        File "site-packages\mutagen\flac.py", line 154, in _writeblocks
        File "site-packages\mutagen\flac.py", line 137, in _writeblock
      mutagen.flac.error: block is too long to write
      
      
      During handling of the above exception, another exception occurred:
      
      
      Traceback (most recent call last):
        File "picard\util\thread.py", line 52, in run
        File "picard\file.py", line 265, in _save_and_rename
      AttributeError: 'FLACFile' object has no attribute 'FilePreserveTimesUtimeError'
      
      
      E: 18:09:45,027 util.thread.run:56: Traceback (most recent call last):
        File "picard\file.py", line 260, in _save_and_rename
        File "picard\file.py", line 237, in _preserve_times
        File "picard\formats\vorbis.py", line 261, in _save
        File "site-packages\mutagen\_util.py", line 169, in wrapper
        File "site-packages\mutagen\_util.py", line 140, in wrapper
        File "site-packages\mutagen\flac.py", line 857, in save
        File "site-packages\mutagen\flac.py", line 154, in _writeblocks
        File "site-packages\mutagen\flac.py", line 137, in _writeblock
      mutagen.flac.error: block is too long to write
      
      
      During handling of the above exception, another exception occurred:
      
      
      Traceback (most recent call last):
        File "picard\util\thread.py", line 52, in run
        File "picard\file.py", line 265, in _save_and_rename
      AttributeError: 'FLACFile' object has no attribute 'FilePreserveTimesUtimeError'
      
      
      
      
      

        Attachments

        1. large_flac_image.PNG
          197 kB
          Simon B
        2. tag_settings.PNG
          31 kB
          Simon B

          Issue Links

            Activity

              People

              Assignee:
              outsidecontext Philipp Wolfer
              Reporter:
              spb Simon B
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Packages

                  Version Package
                  2.3.0b1